void WriteAccel (unsigned char addr, unsigned char data);
unsigned char ReadAccel (unsigned char addr);
void WriteMagne (unsigned char addr, unsigned char data);
unsigned char ReadMagne (unsigned char addr);
void WriteGyro (unsigned char addr, unsigned char data);
unsigned char ReadGyro (unsigned char addr);

void compass_Init (void);
void compass_Calibrate (void);
void compass_TakeMeasurement (void);
void compass_ReportBearing (void);

void compass_SetDefaultCalibration (void);
void compass_WriteCalibration (void);
void compass_ReadCalibration (void);
void compass_LoadCalibration (
	short xmin, short ymin, short zmin,
	short xmax, short ymax, short zmax);
void compass_PrintCalibration (void);
